Subject: FVWM: Twinview + fvwm

From: Mark <[email-masked]>
Date: Mon, 13 Dec 2004 02:38:06 +0100

Hi,

I am currently trying to configure fvwm (fvwm-crystal) for a Twinview setup 
using Nividia's drivers (1.0.6629) but i am running in to some problems:

1 When i enable Xinerama using:
$ Xinerama On
nothing really happens and new windows still appear in the center of the 2 
screens.

I Tried to resolve this using:
$ XineramaSlsSize 2x1
$ XineramaSls On
$ Xinerama On

This helps, when i maximize a window it will maximize within the same screen, 
the MoveToScreen command work etc. However new problems have surfaced:
1 mplayer window still spans 2 screens when i "fullscreen"
2 Games (HL2) show the same behaviour, the window spans the whole screen
3 (This is the weirdest), fvwm-crystal has some menu's that can be popped up 
by clicking an titlebar icon while pressing Alt, these menu's will now open 
on the primary screen, this is an problem when the window is on the secondary 
screen.
I have tried to resolve the menu issue by creating an Style:
$ Style * StartsOnScreen c
to have everything open in the screen where the cursor is but the effect is 
the opposite of what i want, although it does seem to have the expected 
behaviour it will now open every menu on "the other screen": request a menu 
on the primary and it opens on the secondary and the other way around!!?

My questions:
1. Is there a way to make windows Fullscreen in only one screen (like mplayer 
and HalfLife)?
2. What could be the reasong StartsOnScreen behaves this way ?
3. Why do i have to use XineramaSls in stead of just Xinerama On before i can 
use any Xinerama features.

Thanks,

Mark
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mark Richardson <[email-masked]>
Date: Mon, 13 Dec 2004 13:46:19 +0100

Hi,

Thank you for your reply !

I guess i'll have to look into the meta modes thing in the driver README, as i 
have two identical tft screens i do not want to disable one of the 2 in 
1280x1024 and i do not want to play games in 1024 :-S

So XineramaSls is really the way to go as i thought it was not really the same 
after reading this part in the fvwm manpage:

"For  multi-screen  implementations  other than Xinerama, such as Single
Logical Screen, it is possible to simulate a Xinerama configuration  if
the  total  screen seen by fvwm is made up of equal sized monitors in a
rectangular grid.  The commands XineramaSls, XineramaSlsSize  and  Xin-
eramaSlsScreens are used to configure this feature."

I Will try the XineramaSlsScreens though to define the screens as I haven't 
done that yet, but i still have some doubts about this because I do not 
understand what would make the menu's popup in the wrong screen.
You do not use StartsOnScreen c but this should be default behaviour so it 
doesn't explain why A:
my menu's popup only on the primary screen with the default, and B:
my menu's popup on the opposite screen while defining StartsOnScreen c.

I'll try tonight and post my success/failure.

Mark.

On Monday 13 December 2004 06:31, Scott Rubin wrote:
> Hi,
>
> I have twinview and fvwm all working perfectly together.  For all intents
> and purposes fvwm thinks that twinview is xinerama. So just configure it as
> if you were using xinerama and it will work perfectly.
>
> Mark wrote:
> > Hi,
> >
> > I am currently trying to configure fvwm (fvwm-crystal) for a Twinview
> > setup using Nividia's drivers (1.0.6629) but i am running in to some
> > problems:
> >
> > nothing really happens and new windows still appear in the center of the
> > 2 screens.
> >
> > This helps, when i maximize a window it will maximize within the same
> > screen, the MoveToScreen command work etc. However new problems have
> > surfaced: 1 mplayer window still spans 2 screens when i "fullscreen"
> > 3 (This is the weirdest), fvwm-crystal has some menu's that can be popped
> > up by clicking an titlebar icon while pressing Alt, these menu's will now
> > open on the primary screen, this is an problem when the window is on the
> > secondary screen.
> > to have everything open in the screen where the cursor is but the effect
> > is the opposite of what i want, although it does seem to have the
> > expected behaviour it will now open every menu on "the other screen":
> > request a menu on the primary and it opens on the secondary and the other
> > way around!!?
> >
> > My questions:
> > 1. Is there a way to make windows Fullscreen in only one screen (like
> > mplayer and HalfLife)?
>
> Yes, If you want to do this you will want to look into setting up metamods
> in your xorg.conf or xf86config.  Consult the NVIDIA driver readme on how
> to do this. Here is the metamode line from my config
>
> Option      "MetaModes" "1024x768, 1280x1024; NULL, 640x480; NULL, 800x6
> 00; NULL, 1024x768; NULL, 1280x1024"
>
> What this means is that normally the screen will run at a resolution of
> 1024x768 on the first screen and 1280x1024 on the second screen.  But other
> resolution modes are possible. Since my second screen is the dominant LCD I
> set all the other modes to NULL, resolution. So if I run a game at full
> screen at 1024x768 resolution my computer will happily turn off the right
> hand monitor and run the game full screen on my lcd. Not a perfect
> solution, but it works nicely.  I just wish I could still see gaim on the
> left screen while I play.
>
> I did not set any behavior for StartsOnScreen.  The only xinerama lines I
> have in my fvwm config are the following.
>
> XineramaSlsScreens 2 1024x768+0+0 1280x1024+1024+0
> XineramaSlsOn
> XineramaPrimaryScreen 1
> XineramaOn
>
> That makes everything start on the screen in which the mouse cursor is
> located.
>
> > 3. Why do i have to use XineramaSls in stead of just Xinerama On before i
> > can use any Xinerama features.
>
> Because that's the way it works?
>
> If you need more help my config is online at
> http://protoman.rh.rit.edu/~apreche/fvwm2rc
>
> -Scott Rubin